Subject: bug#15045: Point jumps inappropriately around time of Semantic lexing

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Nov 2013 16:29:09 -0500

>> Inside a while-no-input, if the user hits a key (or clicks), then a
>> `throw' is executed that exits the while-no-input.
> I thought input-pending-p covers that base.

The difference is that input-pending-p does polling (you have to keep
calling input-pending-p), whereas while-no-input is interrupt based (it
will stop whatever you're doing when the key comes in).

> If we use while-no-input, don't we still need to use
> accept-process-output, thus not solving the problem?

Might very well be: while-no-input does not by-itself let processes run.
I don't know what the CEDET code does, so I just mentioned
while-no-input as something related, but indeed it might not solve
our problem.

>> Then please go ahead and install your change.
> Thanks, rev 115123. Closing.

Great, thank you,

        Stefan